export class Product {

    constructor(
        private _id: number,
        private _name: string,
        private _displayName: string,
        private _price: number
    ) {}

    /**
     *
     */
    get id(): number {
        return this._id;
    }

    /**
     *
     */
    get name(): string {
        return this._name;
    }

    /**
     *
     */
    get displayName(): string {
        return this._displayName;
    }

    /**
     *
     */
    get price(): number {
        return this._price;
    }

    /**
     *
     */
    set id(_id: number) {
        this._id = _id;
    }

    /**
     *
     */
    set name(_name: string) {
        this._name = _name;
    }

    /**
     *
     */
    set displayName(_displayName: string) {
        this._displayName = _displayName;
    }

    /**
     *
     */
    set price(_price: number) {
        this._price = _price;
    }
}
